Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class RunRecoveryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.sleepycat.je.DatabaseException
                      com.sleepycat.je.RunRecoveryException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  EnvironmentFailureException

Deprecated. replaced by `EnvironmentFailureException` and `Environment.isValid()`.

    public abstract class RunRecoveryException

extends DatabaseException

This base class of `EnvironmentFailureException` is deprecated but exists for API backward compatibility.

Prior to JE 4.0, `RunRecoveryException` is thrown to indicate that the JE environment is invalid and cannot continue on safely. Applications catching `RunRecoveryException` prior to JE 4.0 were required to close and re-open the `Environment`.

When using JE 4.0 or later, the application should catch `EnvironmentFailureException`. The application should then call `Environment.isValid()` to determine whether the `Environment` must be closed and re-opened, or can continue operating without being closed. See `EnvironmentFailureException`.

See Also:
  Serialized Form

Method Summary

Methods inherited from class com.sleepycat.je.DatabaseException
`getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Oracle. All rights reserved.